Bug 459201 - wifi not enabled until system-config-network is open
wifi not enabled until system-config-network is open
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-14 18:12 EDT by Michal Klich
Modified: 2008-08-22 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-22 22:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Klich 2008-08-14 18:12:03 EDT
Description of problem:
My wifi card BCM94311MCG is not enabled (using b43 module) until i open system-config-network and edit my wlan0 interface in Devices tab.

How reproducible:
Happens everytime i reboot my laptop
Comment 1 Kevin 2008-08-16 02:58:58 EDT
Do you actually have to edit it or do you just need to activate it? Please provide the exact steps you follow to get your network operational.

Can you please load system-config-services and ensure that the network service is set to start on all runlevels (select network service and click customise. Ensure that there is a tick in every box).
Comment 2 Michal Klich 2008-08-17 06:27:30 EDT
Steps to reproduce:

1. Boot system
2. Open system-config-network
3. Choose device and hit edit
4. Close dialog box without any changes

In last step i do not really need to do anything, i can close that properties box and nm-applet asks me for password to my wifi connection.

Network in Services was disabled but it was running, i guess NetworkManager starts it. 

After i enabled network service wifi card starts after boot but it tries to get ip address during boot and it fails. Boot process sits and waits for it to timeout.

I know that it was working before, it happened while i messed up with my eth0 which does not work.
Comment 3 Michal Klich 2008-08-22 18:40:25 EDT
I have fixed that. In system-config-network i have edited my card and choose not to bring it up while booting, left network service enabled and card is activated after i log in. I assume that is done by NetworkManager.
Bug can be closed
Comment 4 Kevin 2008-08-22 22:57:05 EDT
Closing bug as per the reporters notes.

Glad you got it working - thanks for updating Bugzilla also :)

Note You need to log in before you can comment on or make changes to this bug.